Create connection keys
Provision initial connection keys for Okta, OIDC, or SAML (samlp) connection strategies. This endpoint allows you to create keys before configuring the connection to use Private Key JWT authentication or encrypted ID tokens, enabling zero-downtime transitions.
Set key_use to signing (default) to provision signing keys, optionally choosing signing_alg, or to encryption to provision encryption keys, optionally choosing encryption_alg. signing_alg and encryption_alg each apply only to their own key use. Encryption keys and encrypted ID tokens apply only to OIDC and Okta connections. The response lists all of the connection’s keys.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Scopes
Create Connections Keys
Path Parameters
ID of the connection
Body
Whether to provision a signing key (default) or an encryption key for the connection.
encryption, signing Selected Signing Algorithm. Only applicable when key_use is "signing".
RS256, RS384, RS512, PS256, PS384, ES256, ES384 Selected key-management algorithm for the encryption key. Only applicable when key_use is "encryption".
RSA-OAEP-256, RSA-OAEP-384, RSA-OAEP-512, ECDH-ES, ECDH-ES+A128KW, ECDH-ES+A192KW, ECDH-ES+A256KW Response
Connection keys successfully created.
The key id of the signing or encryption key
255The public certificate of the signing or encryption key
4096The cert fingerprint
The cert thumbprint
255The public certificate of the signing or encryption key in pkcs7 format
4096True if the key is the current key
True if the key is the next key
The date and time when the key became the current key
Key algorithm: a signing algorithm for signing keys, or a key-management algorithm for encryption keys
Key use, whether for encryption or signing
encryption, signing 132